Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(724)

Side by Side Diff: go-back-with-backspace/build-zip.sh

Issue 2235683003: Correct description in messages; add 'tel' input type (Closed) Base URL: https://chromium.googlesource.com/chromium/extensions-by-google.git@master
Patch Set: Ignore existing icons/ directory Created 4 years, 4 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch
OLDNEW
1 #!/bin/bash 1 #!/bin/bash
2 # Zip the files needed for this extension, excluding screenshots, promotional 2 # Zip the files needed for this extension, excluding screenshots, promotional
3 # images, and backup files. 3 # images, and backup files.
4 4
5 # Constants 5 # Constants
6 readonly ZIP_FILE='go-back-with-backspace.zip' 6 readonly ZIP_FILE='go-back-with-backspace.zip'
7 # The individual icon files are listed so an error will be raised if one is 7 # The individual icon files are listed so an error will be raised if one is
8 # missing. 8 # missing.
9 declare -ar ZIP_CONTENTS=(_locales/ 9 declare -ar ZIP_CONTENTS=(_locales/
10 icons/ 10 icons/
11 icons/icon16.png 11 icons/icon16.png
12 icons/icon32.png 12 icons/icon32.png
13 icons/icon48.png 13 icons/icon48.png
14 icons/icon128.png 14 icons/icon128.png
15 content_script.js 15 content_script.js
16 is_editable.js 16 is_editable.js
17 manifest.json 17 manifest.json
18 readme.txt) 18 readme.txt)
19 19
20 # Remove backup files. 20 # Remove backup files.
21 rm -f $(find . -name \*~ -or -name \#\*\#) 21 rm -f $(find . -name \*~ -or -name \#\*\#)
22 22
23 if ! mkdir icons; then 23 if ! mkdir -p icons; then
24 echo "Error creating icons/ directory" >&2 24 echo "Error creating icons/ directory" >&2
25 exit 1 25 exit 1
26 fi 26 fi
27 27
28 if ! cp assets/icon*.png icons/; then 28 if ! cp assets/icon*.png icons/; then
29 echo "No icon images found in icons/" >&2 29 echo "No icon images found in icons/" >&2
30 exit 2 30 exit 2
31 fi 31 fi
32 32
33 rm -f "${ZIP_FILE}" 33 rm -f "${ZIP_FILE}"
34 if ! zip -r --quiet --must-match "${ZIP_FILE}" "${ZIP_CONTENTS[@]}"; then 34 if ! zip -r --quiet --must-match "${ZIP_FILE}" "${ZIP_CONTENTS[@]}"; then
35 echo "Error zipping required files (${ZIP_CONTENTS[@]})" >&2 35 echo "Error zipping required files (${ZIP_CONTENTS[@]})" >&2
36 exit 3 36 exit 3
37 fi 37 fi
OLDNEW
« no previous file with comments | « go-back-with-backspace/_locales/en/messages.json ('k') | go-back-with-backspace/description.txt » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698